## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-starlette
Version:        0.42.0
Release:        %autorelease
Summary:        The little ASGI library that shines

License:        BSD-3-Clause
URL:            https://www.starlette.io/
Source:         https://github.com/encode/starlette/archive/%{version}/starlette-%{version}.tar.gz

# Revert test adjustments from 5ccbc62175eece867b498115724eb8d3fa27acb0
# This allows the tests to keep passing with httpx 0.27.x.
#
# Specifically, this reverts:
# https://github.com/encode/starlette/pull/2773/commits/24de2bfc8aa99a084a9b4fcfab1e52d7a6747cd9.
#
# Fixes:
#
# Some tests fail with some supported httpx versions due to whitespace
# differences in JSON responses
# https://github.com/encode/starlette/discussions/2795
#
# We can (and must!) remove this once python-httpx is upgraded to 0.28.x.
Patch:          0001-Revert-test-adjustments-from-5ccbc62175eece867b49811.patch

BuildSystem:            pyproject
BuildOption(install):   -l starlette
BuildOption(generate_buildrequires): -x full

BuildArch:      noarch

# The file requirements.txt pins exact versions and contains many unwanted
# dependencies, e.g. linters and typecheckers (see
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters).
# It’s easier to maintain BuildRequires for testing manually than to heavily
# patch or process the requirements file.
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist trio}
BuildRequires:  %{py3_dist typing_extensions}

%global common_description %{expand:
Starlette is a lightweight ASGI framework/toolkit, which is ideal for building
async web services in Python.

It is production-ready, and gives you the following:

  • A lightweight, low-complexity HTTP web framework.
  • WebSocket support.
  • In-process background tasks.
  • Startup and shutdown events.
  • Test client built on requests.
  • CORS, GZip, Static Files, Streaming responses.
  • Session and Cookie support.
  • 100%% test coverage.
  • 100%% type annotated codebase.
  • Few hard dependencies.
  • Compatible with asyncio and trio backends.
  • Great overall performance against independent benchmarks.}

%description %{common_description}


%package -n     python3-starlette
Summary:        %{summary}

%description -n python3-starlette %{common_description}


%pyproject_extras_subpkg -n python3-starlette full


%check -a
# E       trio.TrioDeprecationWarning: The `cancellable=` keyword argument to
#         `trio.to_thread.run_sync` is deprecated since Trio 0.23.0; use
#         `abandon_on_cancel=` instead
#         (https://github.com/python-trio/trio/issues/2841)
warningsfilter="${warningsfilter-} -W ignore::trio.TrioDeprecationWarning"

# E       Failed: DID NOT WARN. No warnings of type (<class
#         'DeprecationWarning'>, <class 'PendingDeprecationWarning'>) were
#         emitted.
# E       The list of emitted warnings is: [].
k="${k-}${k+ and }not test_lifespan_with_on_events"

%pytest ${warningsfilter-} -k "${k-}" -v


%files -n python3-starlette -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Dec 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.42.0-2
- Patch for httpx 0.27.x (vs. 0.28.x)

* Sat Dec 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.42.0-1
- Update to 0.42.0 (close RHBZ#2332390)

* Sat Dec 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.41.3-3
- Remove Obsoletes for python-starlette-doc

* Sat Dec 14 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.41.3-2
- F41+: Use the provisional pyproject declarative buildsystem

* Tue Nov 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.41.3-1
- Update to 0.41.3 (close RHBZ#2327142)

* Mon Oct 28 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.41.2-1
- Update to 0.41.2 (close RHBZ#2319179)

* Tue Oct 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.40.0-1
- Update to 0.40.0 (close RHBZ#2318804)

* Tue Oct 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.39.2-1
- Update to 0.39.2 (close RHBZ#2315935)

* Wed Sep 25 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.39.1-1
- Update to 0.39.1 (close RHBZ#2314344)

* Wed Sep 25 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.39.0-1
- Update to 0.39.0

* Mon Sep 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.38.5-1
- Update to 0.38.5 (close RHBZ#2310721)

* Wed Sep 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.38.4-1
- Update to 0.38.4 (close RHBZ#2309625)

* Tue Aug 06 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.38.2-2
- Backport unreleased fixes for Python 3.13

* Tue Jul 30 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.38.2-1
- Update to 0.38.2 (close RHBZ#2299432)

* Tue Jul 30 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.38.1-1
- Update to 0.38.1

* Tue Jul 23 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.37.2-8
- Work around a regression in Python 3.13.0b3 (close RHBZ#2296102)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.37.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.37.2-6
- Skip/ignore failing tests (reported upstream) on Python 3.13
- Close RHBZ#2290559

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.37.2-5
- Rebuilt for Python 3.13

* Wed Apr 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.37.2-4
- Fix a typo in the description

* Wed Apr 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.37.2-3
- Fix wrong Summary for python3-starlette

* Tue Apr 02 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.37.2-1
- Update to 0.37.2 (close RHBZ#2259992)

* Fri Feb 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.36.3-1
- Update to 0.36.3

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.35.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.35.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.35.1-1
- Update to 0.35.1 (close RHBZ#2213411)

* Thu Jan 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.35.0-1
- Reapply "Update to 0.35.0 (close RHBZ#2213411)"

* Thu Jan 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.34.0-1
- Reapply "Update to 0.34.0"

* Thu Jan 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.33.0-1
- Reapply "Update to 0.33.0"

* Thu Jan 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.32.0-1
- Revert "Update to 0.33.0"

* Thu Jan 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.33.0-1
- Revert "Update to 0.34.0"

* Thu Jan 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.34.0-1
- Revert "Update to 0.35.0 (close RHBZ#2213411)"

* Thu Jan 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.35.0-1
- Update to 0.35.0 (close RHBZ#2213411)

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.34.0-1
- Update to 0.34.0

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.33.0-1
- Update to 0.33.0

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.32.0-1
- Update to 0.32.0

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.31.1-1
- Update to 0.31.1

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.31.0-1
- Update to 0.31.0

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.30.0-1
- Update to 0.30.0

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.29.0-1
- Update to 0.29.0

* Tue Dec 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.28.0-1
- Update to 0.28.0

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.27.0-5
- Assert that %%pyproject_files contains a license file

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 0.27.0-3
- Rebuilt for Python 3.12

* Wed May 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.27.0-1
- Update to 0.27.0

* Tue Mar 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.26.1-1
- Update to 0.26.1

* Sat Mar 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.26.0.post1-1
- Update to 0.26.0.post1 (close RHBZ#2177323)

* Tue Feb 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.25.0-1
- Update to 0.25.0

* Wed Feb 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.24.0-1
- Update to 0.24.0 (close RHBZ#2151385)

* Wed Feb 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.1-1
- Update to 0.23.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Nov 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-1
- Update to 0.22.0 (close RHBZ#2143717)

* Wed Oct 19 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.21.0-1
- Update to 0.21.0 (close RHBZ#2130415)

* Wed Oct 19 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.20.4-2
- Update License to SPDX

* Thu Jul 28 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.20.4-1
- Update to 0.20.4 (close RHBZ#2101930)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.20.3-2
- Rebuilt for Python 3.11

* Fri Jun 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.20.3-1
- Update to 0.20.3 (close RHBZ#2095819)

* Wed Jun 08 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.20.2-1
- Update to 0.20.2 (close RHBZ#2094719)

* Sun May 29 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.20.1-1
- Update to 0.20.1 (close RHBZ#2091358)

* Wed May 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.20.0-1
- Update to 0.20.0 (close RHBZ#2081683)

* Sun Apr 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.19.1-1
- Update to 0.19.1 (close RHBZ#2077753)

* Sun Apr 24 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.19.0-2
- Stop allowing older pytest (F37+)

* Thu Mar 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.19.0-1
- Update to 0.19.0 (close RHBZ#2062498)

* Wed Feb 02 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.18.0-1
- Update to 0.18.0 (close RHBZ#2044099)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 19 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.17.1-1
- Update to 0.17.1 (close RHBZ#2024510)

* Sat Nov 06 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.17.0-1
- Update to 0.17.0 (close RHBZ#2020563)

* Tue Oct 19 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-11
- Drop flake8 BR

* Wed Sep 29 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-10
- Drop the documentation subpackage entirely.

* Mon Sep 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-9
- No need to remove egg-info with pyproject-rpm-macros

* Mon Sep 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-8
- Escape percents in description

* Mon Sep 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-7
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Mon Sep 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-6
- Reduce macro indirection in the spec file

* Mon Sep 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-5
- Remove F33 accommodations from Rawhide spec

* Mon Sep 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-4
- Let pyproject-rpm-macros handle the license file

* Wed Aug 11 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-3
- Update to note orphan status of mkdocs

* Tue Jul 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-2
- Move %%generate_buildrequires after %%prep to make the spec file easier
  to follow

* Wed Jul 21 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.0-1
- Update to 0.16.0 (closes RHBZ#1983794)

* Thu Jun 24 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.15.0-1
- Update to 0.15.0 (closes RHBZ#1975613)

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.14.2-8
- Rebuilt for Python 3.10

* Fri May 28 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.2-7
- Build documentation without mkdocs-material; this has no effect as long as
  mkautodoc is not available

* Fri May 14 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.2-6
- Add databases[sqlite] BR for testing where available (F34+)

* Tue Mar 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.2-5
- Drop python3dist(setuptools) BR, redundant with %%pyproject_buildrequires

* Mon Mar 01 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.2-4
- Move documentation BR’s to base package

* Fri Feb 26 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.2-3
- Drop mypy BR

* Thu Feb 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.2-2
- Use srcname macro instead of pypi_name
- Drop obsolete python_provide macro
- Implement the “full” extra metapackage, dropping the corresponding
  dependencies from the main package
- Use pyproject-rpm-macros, including generated BR’s
- Improved description from upstream

* Wed Feb 03 2021 Filipe Rosset <rosset.filipe@gmail.com> - 0.14.2-1
- Update to 0.14.2 fixes FTBFS rhbz#1908274

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Sep 30 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.13.8-1
- Initial package.
- Switch to github sources and enable some tests

## END: Generated by rpmautospec
